<?php if(!defined("Hacking")){die("404 Not Found"); }
    error_reporting(0);
    $gelen = @get('duzenle');

    $kullanici = $db->select('admin')
        ->where('admin_id',session("id"))
        ->run(true);
    $profilvarmi = $db->select('admin')
            ->where('admin_id',$gelen)
            ->run(true);
if($profilvarmi==null)
{
  echo '<div id="tour-11" class="header-content">
    <h2 style="color:red;"><i class="fa fa-user"></i>BÖYLE BİR KULLANICI YOK. YÖNLENDİRİLİYORSUNUZ...</h2>
    </div>';
    git('index.php?do=profil',2);
}
if($kullanici['yetki']==1)
{ ?>

<div id="tour-11" class="header-content">
  <h2><i class="fa fa-user"></i>Kullanıcı Düzenle</h2>
</div>
<div class="body-content animated fadeIn">
<div class="row">
  <div class="col-md-12">
    <div class="panel rounded shadow">
      <div class="panel-body no-padding">
        <?php
                        $kullanici = $db->select('admin')
                            ->where('admin_id',$gelen)
                            ->run(true);

                          if($_POST){
                              $username   = @post('username');
                              $adsoyad    = @post('adsoyad');
                              $email      = @post('email');
                              $sifre1     = @post('sifre1');
                              $sifre2     = @post('sifre2');
                              $super_sifre= @post('super_sifre');
                              $yetkidegistir=@post('yetkidegistir');
                              $sifredegissinmi =@post('sifredivkontrol');
                              // Ekle
                              if($sifre1==$sifre2)
                              {
                                if($yetkidegistir==1)
                                {
                                  if($yetkidegistir==1) {
                                    $giris = $db->select('admin')
                                            ->where('username',$_SESSION['username'])
                                            ->where('password',md5($super_sifre))
                                            ->run(true);
                                  }
                                else {
                                  $giris=true;
                                }
                              }
                              else
                              {
                                  $giris=true;
                              }
                              if($giris)
                                {
                                  if($sifredegissinmi==1)     //Şifre değiştir --> HAYIR dediyse
                                  {
                                    $profil = $db->update('admin')
                                        ->where('admin_id',$gelen)
                                        ->set(array(
                                            'username' => $username,
                                            'adsoyad'  => $adsoyad,
                                            'email'    => $email,
                                            'yetki'    => $yetkidegistir
                                        ));
                                  }
                                  else {            //Şifre değiştir --> EVET dediyse
                                    $profil = $db->update('admin')
                                        ->where('admin_id',$gelen)
                                        ->set(array(
                                            'username' => $username,
                                            'adsoyad'  => $adsoyad,
                                            'email'    => $email,
                                            'password'    => md5($sifre1),
                                            'yetki'    => $yetkidegistir
                                        ));
                                  }

                                if($profil){
                                    echo '<div class="alert alert-success">
                                        <strong>Tebrikler!</strong> Kullanıcı değiştirildi. Artık '.$username.' giriş yapabilir!
                                    </div>';
                                    git('index.php?do=profil',2);
                                }else{
                                    echo '<div class="alert alert-danger">
                                        <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.Yönlendiriliyorsunuz.
                                    </div>';
                                    git('index.php?do=profil',2);
                                 }
                                }
                                else {
                                  echo '<div class="alert alert-danger">
                                      <strong>Hata!</strong> Şifreniz YANLIŞ! Yeniden deneyin.
                                  </div>';
                                  git('index.php?do=profil&duzenle='.$gelen ,4);
                                }
                              }
                            }
                    ?>
        <form action="" method="post">
          <div class="form-body">
            <div class="form-group">
              <label class="control-label">
              <li class="fa fa-user-circle"></li>
              &nbsp;&nbsp;Ad Soyad
              </label>
              <input class="form-control" name="adsoyad" value="<?=$kullanici['adsoyad']?>" type="text" required>
            </div>
            <div class="form-group">
              <label class="control-label">
              <li class="fa fa-user-circle-o"></li>
              &nbsp;&nbsp;Kullanıcı Adı (Panel girişinde kullanılır)
              </label>
              <input class="form-control" name="username" value="<?=$kullanici['username']?>" type="text" required>
            </div>
            <div class="form-group">
              <label class="control-label">
              <li class="fa fa-envelope"></li>
              &nbsp;&nbsp;E-Posta
              </label>
              <input class="form-control" name="email" value="<?=$kullanici['email']?>" type="email"  required>
            </div>

            <div class="form-group">
              <label class="control-label">
              <li class="fa fa-universal-access "></li>
              &nbsp;&nbsp;Şifre Değiştir <b style="color:#C82333;"></b>
            </label><b>
              <select id="sifredivkontrol" name="sifredivkontrol" class="form-control" onchange="gostersifre(this)">
                <option value="1">Hayır</option>
                <option value="2">Evet</option>
              </select></b>
          </div>

          <div class="form-body" id="hidden_div2" style="display:none;">
            <div class="form-group">
              <label class="control-label">
              <li class="fa fa-unlock"></li>
              &nbsp;&nbsp;Şifre (En az 6 karakter, en az 1 rakam ve 1 harfden oluşmalıdır.)
              </label>
              <input class="form-control" id="sifre1" name="sifre1" value="" type="password" placeholder="Şifreyi girin" pattern="(?=.*\d)(?=.*[a-z]).{6,}" title="Şifre en az 6 karakter, 1 rakam ve 1 harf olmalıdır." required>
            </div>
            <div class="form-group">
              <label class="control-label">
              <li class="fa fa-lock"></li>
              &nbsp;&nbsp;Şifre Tekrar
              </label>
              <input class="form-control" id="sifre2" name="sifre2" value="" type="password" placeholder="Şifreyi Tekrar Girin" pattern="(?=.*\d)(?=.*[a-z]).{6,}" title="Şifre en az 6 karakter, 1 rakam ve 1 harf olmalıdır" required>
            </div>
          </div>

            <div class="form-group">
              <label class="control-label">
              <li class="fa fa-universal-access "></li>
              &nbsp;&nbsp;Yetki değiştir > <b style="color:#C82333;"> Süper yetkili kullanıcı, tüm kullanıcıları değiştirebilir ve silebilir.</b>
            </label><b>
              <select id="yetki" name="yetkidegistir" class="form-control" onchange="goster(this)">
                <option value="1" <?php if($kullanici['yetki'] == "1"){ print "selected";} ?>>Süper</option>
                <option value="2" <?php if($kullanici['yetki'] == "2"){ print "selected";} ?>>Normal</option>
              </select></b>
              </div>
          </div>

        <div class="form-body" id="hidden_div" style="display:none;">
          <div class="form-group">
            <li class="fa fa-key"></li>
            <label class="control-label">
              &nbsp;&nbsp;<b style="color:red;">
          <?php  if($kullanici['yetki']=="1"){
                    echo 'Süper yetkili bir admini düzenliyorsunuz. Düzenlemeyi bitirmek için şifrenizi girmelisiniz.';
                  }
                else{
                    echo 'Normal yetkideki bir admine süper yetki vermek için şifrenizi girmelisiniz.';
           } ?>
           </b>
            </label>
            <input class="form-control" id="super_sifre" name="super_sifre" value="" type="password" placeholder="Düzenlemek için şifrenizi giriniz." title="Şifrenizi girmelisiniz!" required>
          </div>

        </div>

          <div class="form-footer">
            <div class="pull-left">
              <button class="btn btn-primary mr-5" type="submit">
              <li class="fa fa-floppy-o"></li>
              &nbsp;&nbsp;Kullanıcıyı Düzenle</button>
            </div>
            <div class="clearfix"></div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>

<script type="text/javascript">
var password = document.getElementById("sifre1")
  , confirm_password = document.getElementById("sifre2");
function validatePassword(){
  if(password.value != confirm_password.value) {
    confirm_password.setCustomValidity("Şifreler uyuşmuyor.");
  } else {
    confirm_password.setCustomValidity('');
  }
}
password.onchange = validatePassword;
confirm_password.onkeyup = validatePassword;
</script>
<script>
  var yetki = document.getElementById("yetki");
  var secilen = yetki.options[yetki.selectedIndex].value;
  if(secilen==1)
  {
    document.getElementById('hidden_div').style.display = "block";
    document.getElementById("super_sifre").value = "";
  }
  else if(secilen==2)
  {
    document.getElementById('hidden_div').style.display = "none";
    document.getElementById("super_sifre").value = "demo";
  }

  document.getElementById("sifre1").value = "12345678aa";
  document.getElementById("sifre2").value = "12345678aa";

  function goster(gelen)
  {
    if(gelen.value == 1)
    {
      document.getElementById('hidden_div').style.display = "block";
      document.getElementById("super_sifre").value = "";
    }
    else if(gelen.value == 2)
    {
      document.getElementById('hidden_div').style.display = "none";
      document.getElementById("super_sifre").value = "demo";
    }
  }
  function gostersifre(gelen)
  {
    if(gelen.value == 1)
    {
      document.getElementById('hidden_div2').style.display = "none";
      document.getElementById("sifre1").value = "12345678aa";
      document.getElementById("sifre2").value = "12345678aa";
    }
    else if(gelen.value == 2)
    {
      document.getElementById('hidden_div2').style.display = "block";
      document.getElementById("sifre1").value = "";
      document.getElementById("sifre2").value = "";
    }
  }

</script>
<?php }
else
{
  echo '<div id="tour-11" class="header-content">
    <h2 style="color:red;"><i class="fa fa-user"></i>YETKİNİZ YOK. SADECE SÜPER ADMİNLER ERİŞEBİLİR.</h2>
  </div>';
  git('index.php?do=profil',2);
}


?>
